# Written by WATO
# encoding: utf-8

wato_host_tags += \
[('agent',
  u'Agent type',
  [('cmk-agent', u'Check_MK Agent (Server)', ['tcp', 'ssh']),
   ('cmk-agent-nossh', u'Check_MK Agent (Server) - No SSH', ['tcp']),
   ('cmk-agent-noping', u'Check_MK Agent (Server) - No ping', ['cmk-agent', 'dummy', 'ssh']),
   ('cmk-agent-esx', u'Check_MK Agent (Server) - ESXi', ['esx']),
   ('cmk-agent-ssh', u'Check_MK Agent (Server) - via SSH', ['ssh_host', 'ssh']),
   ('cmk-agent-ssh-remotehost', u'Check_MK Agent (Server) remote host behind a ssh frontend', ['dummy']),
   ('snmp-only', u'SNMP (Networking device, Appliance)', ['snmp']),
   ('snmp-v1', u'Legacy SNMP device (using V1)', ['snmp']),
   ('snmp-tcp', u'Dual: Check_MK Agent + SNMP', ['snmp', 'tcp', 'ssh']),
   ('ping', u'Only PING this device', []),
   ('ping-mtu', u'Only PING this device + Check Jumbo Frame (8972)', ['ping','jumbo']),
   ('ssh_host', u'Check SSH Host (Without Agent)', []),
   ('dummy', u'Do nothing with this device (check-dummy)', []),
  ]),
 ('criticality',
  u'Criticality',
  [('prod', u'Productive system', []),
   ('critical', u'Business critical', []),
   ('test', u'Test system', []),
   ('offline', u'Do not monitor this host', [])]),
 ('networking',
  u'Networking Segment',
  [('lan', u'Local network (low latency)', []),
   ('wan', u'WAN (high latency)', []),
   ('dmz', u'DMZ (low latency, secure access)', [])]),
 ('Owner',
  u'Host owner',
  [('unknown_owner', u'Unknown owner', []),
   ('arpav', u'Arpa Veneto', []),
   ('biodec', u'Biodec', []),
   ('brigidas', u'Brigidas', []),
   ('carmati', u'Carmati', []),
   ('cmcc', u'CMCC', []),
   ('coders51', u'Coders51', []),
   ('dquid', u'DQuid', []),
   ('ingv', u'INGV', []),
   ('measurance', u'Measurance', []),
   ('oceanop', u'Oceanografia operativa', []),
   ('qubica', u'QubicaAMF', []),
   ('redturtle', u'RedTurtle', []),
   ('santerno', u'Santerno', []),
   ('orsola', u"Sant'Orsola", []),
   ('siat', u'SIAT', []),]),
 ('httpserver',
  u'HTTP server',
  [('non_http', 'No', []), ('http_only', 'Yes', ['http'])]),
 ('httpsserver',
  u'HTTPS Server',
  [('non_https', 'No', []), ('https_only', 'Yes', ['https'])]),
 ('ftpserver',
  u'FTP server',
  [('non_ftp', 'No', []), ('ftp_only', 'Yes', ['http'])]),
 ('Exposed',
  u'Exposed on the internet',
  [
   ('unknown_exposition', u'Unknown exposition', []),
   ('safe_from_internet', u'Not reachable from the Internet', []),
   ('exposed_on_internet', u'Reachable from the Internet', [])])]

wato_aux_tags += \
[('snmp', u'monitor via SNMP'),
 ('tcp', u'monitor via Check_MK Agent'),
 ('ssh', u'Monitor via SSH Legacy check')]
